Memory Stores
Update a memory item
Updates the specified memory item in the memory store.
Parametry nagłówka
Foundry-Features
enum
wymagane
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parametry ścieżki
name
string
wymagane
The name of the memory store.
memory_id
string
wymagane
The ID of the memory item to update.
Parametry zapytań
api-version
string
wymagane
The API version to use for this operation.
Treść żądania
content
string
wymagane
The updated content of the memory.
Odpowiedzi
The request has succeeded.
Treść
user_profile
UserProfileMemoryItem
A memory item specifically containing user profile information extracted from conversations, such as preferences, interests, and personal details.
kind
enum
wymagane
The kind of the memory item.
chat_summary
ChatSummaryMemoryItem
A memory item containing a summary extracted from conversations.
kind
enum
wymagane
The kind of the memory item.
procedural
ProceduralMemoryItem
A memory item containing a procedure extracted from conversations.
kind
enum
wymagane
The kind of the memory item.
Żądanie
POST /memory_stores/{name}/items/{memory_id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json